> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Dmf Search

> Submit a DMF search request with a person's name and SSN.



## OpenAPI

````yaml /api-reference/openapi.json post /dmf/searches
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /dmf/searches:
    post:
      tags:
        - Death Master File
      summary: Post Dmf Search
      description: Submit a DMF search request with a person's name and SSN.
      operationId: post_dmf_search_dmf_searches_post
      parameters:
        - name: Prefer
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Request execution preference (RFC 7240). Use ``respond-async`` for
              asynchronous execution, ``wait=N`` to specify a synchronous
              timeout hint in seconds, or ``priority=low`` to route the task to
              the low-priority queue.
            examples:
              - respond-async
              - wait=30
              - priority=low
            title: Prefer
          description: >-
            Request execution preference (RFC 7240). Use ``respond-async`` for
            asynchronous execution, ``wait=N`` to specify a synchronous timeout
            hint in seconds, or ``priority=low`` to route the task to the
            low-priority queue.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DMFSearchRequest'
      responses:
        '201':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DMFSearchResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.DMFSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    DMFSearchRequest:
      properties:
        name:
          type: string
          maxLength: 250
          title: Name
          description: The name of the person of interest
        ssn:
          type: string
          format: password
          title: Ssn
          description: The social security number of the person of interest
          writeOnly: true
      type: object
      required:
        - name
        - ssn
      title: DMFSearchRequest
    v1.DMFSearchResponse:
      properties:
        id:
          description: The ID of the DMF search request
          format: uuid
          title: Id
          type: string
        name:
          description: The name of the person of interest
          examples:
            - Michael Smith
          maxLength: 250
          title: Name
          type: string
        ssn:
          description: The obfuscated social security number of the person of interest
          examples:
            - 621-34-2918
          title: Ssn
          type: string
        state:
          $ref: '#/components/schemas/v1.TaskState'
          description: The status of the DMF search request
          examples:
            - COMPLETED
        error:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Any errors that occurred during the DMF search request.
          examples:
            - TimeoutError The IRS could not be reached.
          title: Error
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          default: null
      required:
        - id
        - name
        - ssn
        - state
      title: DMFSearchResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    v1.UserAttributionResponse:
      description: |-
        Response model for user attribution operations.

        This model defines the structure for user attribution API responses.
      properties:
        id:
          description: Unique identifier for the user.
          format: uuid
          title: Id
          type: string
        first_name:
          description: First name of the user.
          examples:
            - Austin
          title: First Name
          type: string
        last_name:
          description: Last name of the user.
          examples:
            - Taylor
          title: Last Name
          type: string
        email:
          description: Email address of the user.
          examples:
            - jessicasimpson@example.com
          title: Email
          type: string
      required:
        - id
        - first_name
        - last_name
        - email
      title: UserAttributionResponse (v1)
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````